<?php

header('Content-type:text/html;charset=utf8');
require './weixin.class.php';

$appid = "wx069e991"; //这里请填你真实的参数值
$appsecret = "caa418b11a8"; //这里请填你真实的参数值
$token = "jk9"; //这里请填你真实的参数值

$wx = new WeChat($appid, $appsecret, $token);

//验证url
// $wx->firstValid();

//判断消息类型
$result = $wx->responseMsg();

if ($result['type'] == 'text') {
    //文本消息，转换为字符串
    $textMessage = (string)$result['obj']->Content; // 强制转换为字符串，确保内容是文本形式
    // 使用消息内容请求API
    $apiResponse = callApi($textMessage);
    transmitText($result['obj'], $apiResponse);
} elseif ($result['type'] == 'image') {
    //图片消息，使用文字回复
    transmitText($result['obj'], '您发送的是图片，我们已收到！');
}

/*
 * 回复文本消息
 */
function transmitText($object, $content)
{
    $textTpl = "<xml>
        <ToUserName><![CDATA[%s]]></ToUserName>
        <FromUserName><![CDATA[%s]]></FromUserName>
        <CreateTime>%s</CreateTime>
        <MsgType><![CDATA[text]]></MsgType>
        <Content><![CDATA[%s]]></Content>
        </xml>";
    $result = sprintf($textTpl, $object->FromUserName, $object->ToUserName, time(), $content);
    file_put_contents('./test.txt', $result);
    echo $result; die;
    // return $result;
}

/*
/*
 * 使用cURL调用API
 */
function callApi($text) {
    $url = 'https://psd.zhuangbishipin.top/weixin/baidu.php';
    $postData = json_encode(["query" => $text]);

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Content-Length: ' . strlen($postData)
    ]);

    $response = curl_exec($ch);
    if (!$response) {
        return 'Error: "' . curl_error($ch) . '" - Code: ' . curl_errno($ch);
    }
    curl_close($ch);

    // UTF-8 编码处理
    return $response;  // 返回处理后的UTF-8编码文本
}
